Description

For some generic actions in Foreman's CLI, no arguments are required to get a list of records or get information about a given object.

Katello now adds the requirement for an organization id in order to get the same type of results, which leads to inconsistency across

the CLI:

[root@qetello03 katello-deploy]# hammer organization list

------------------------------------------------------------------------

ID | NAME             | LABEL            | DESCRIPTION

------------------------------------------------------------------------

1  | ACME_Corporation | ACME_Corporation | ACME_Corporation Organization

------------------------------------------------------------------------

[root@qetello03 katello-deploy]# hammer user list

---------------------------------------------------------

ID | LOGIN         | NAME       | EMAIL

---------------------------------------------------------

1  | admin         | Admin User | root@usersys.redhat.com

2  | hidden-jwwiEr |            | qVadfhEBUb@localhost

---------------------------------------------------------

[root@qetello03 katello-deploy]# hammer gpg list

Error: option '--organization-id' is required

See: 'hammer gpg list --help'

 As you can see, the gpg subcommand requires a organization-id argument. I find this to be inconsistent with the rest of the CLI

subcommands, not to mention that it doesn't really buys us anything in terms of usability. I would like to propose we remove this

requirement so that one can get a list of all gpg keys as well as obtain the information for a gpg key by using its name/id and not

require the organization-id.

History

#1 - 03/03/2014 04:51 PM - Tomáš Strachota

- Status changed from New to Need more information

I'm afraid we can't do anything with it on the cli level. Katello is designed to scope all resources under organizations while Foreman uses all-global

approach. I don't see this as an inconsistency. Different resources have different requirements.

Please start a discussion on a mailing list if you feel the concepts should be changed. It would require larger model changes.

#2 - 03/03/2014 04:56 PM - Og Maciel

- Status changed from Need more information to Feedback

I disagree with your logic :) As the end user, if I can get a list of <resource> for the entire system, why then add limits to the same subcommand for

specific resources? What exactly is gained from not keeping it consistent?

#3 - 04/01/2014 07:25 PM - Adam Price

- Project changed from Hammer CLI to Katello
- Category changed from 74 to Hammer

#4 - 06/04/2014 02:02 AM - Eric Helms

- Triaged set to Yes

#5 - 11/21/2014 10:38 AM - Eric Helms

- translation missing: en.field_release set to 14

#6 - 04/01/2015 02:42 PM - Eric Helms

- translation missing: en.field_release changed from 14 to 23

#7 - 04/06/2015 03:54 PM - Eric Helms

- translation missing: en.field_release changed from 23 to 31
